@import "@/styles/variables";

.banner-container {
    display: grid;
    grid-column: 1 / -1;
    width: 100%;

    .banner-content {
        display: grid;
        grid-template-columns: auto auto;
        gap: 8px;
        padding: 1rem 0.5rem;
        width: 100%;
        justify-content: center;
        align-items: center;

        p {
            font-size: 16px;
            line-height: 24px;
            font-weight: 500;
        }

        .icon-frame {
            display: grid;
            align-items: center;
            width: 100%;
            height: 100%;
        }
    }

    .color-warning {
        background: linear-gradient(to bottom, rgb(255 255 255 / 75%), rgb(255 255 255 / 75%)), $banner-warning;
        color: $banner-warning-text;
    }

    .color-error {
        background: linear-gradient(to bottom, rgb(255 255 255 / 75%), rgb(255 255 255 / 75%)), $banner-error;
        color: $banner-error-text;
    }

    .color-info {
        background: linear-gradient(to bottom, rgb(255 255 255 / 75%), rgb(255 255 255 / 75%)), $banner-info;
        color: $banner-info-text;
    }
}
